<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-2x">&times;</i>
            </button>
            <h4 class="modal-title" id="myModalLabel"><?php echo lang('add'); ?></h4>
        </div>
        <?php $attrib = ['data-toggle' => 'validator', 'role' => 'form'];
        echo admin_form_open_multipart('banking/add', $attrib); ?>
        <div class="modal-body">
            <p><?= lang('enter_info'); ?></p>

            <div class="form-group">
                <?= lang('date', 'date'); ?>
                <?php echo form_input('date', (isset($_POST['date']) ? $_POST['date'] : ''), 'class="form-control input-tip datetime" id="podate" required="required"'); ?>
            </div>

            <div hidden class="form-group">
                <?= lang('status', 'postatus'); ?>
				<?php
				$post = ['deposit' => lang('deposit'), 'received' => lang('received'), 'sent' => lang('sent')];
				echo form_dropdown('status', $post, (isset($_POST['status']) ? $_POST['status'] : 'deposit'), 'id="postatus" class="form-control input-tip select" data-placeholder="' . $this->lang->line('select') . ' ' . $this->lang->line('status') . '" required="required" style="width:100%;" ');
				?>
            </div>

            <div class="form-group all">
                <?= lang('bank', 'bank'); ?>
                <?php                
                                $arr_banks[''] = '';
                    foreach ($banks as $bank) {
                        $arr_banks[$bank->id] = $bank->name;
                    }
                    echo form_dropdown('bank_id', $arr_banks, (isset($_POST['bank']) ? $_POST['bank'] : ''), 'id="powarehouse" class="form-control input-tip select" data-placeholder="' . lang('select') . ' ' . lang('bank') . '" required="required" style="width:100%;" '); ?>
                            
            </div>
			<div class="form-group all">
			<?= lang('cheque_no', 'cheque_no'); ?>
                                <?php echo form_input('cheque_no', (isset($_POST['cheque_no']) ? $_POST['cheque_no'] : $cheque_no), 'class="form-control input-tip" id="cheque_no"'); ?>
			</div>
            <div class="form-group all">
                  <?= lang('amount', 'amount'); ?>
                  <?php echo form_input('amount', (isset($_POST['amount']) ? $_POST['amount'] : $amount), 'class="form-control input-tip" id="amount"'); ?>
                            
            </div>
			
			<div hidden class="col-md-4">
                                <div class="form-group">
                                    <?= lang('warehouse', 'powarehouse'); ?>
                                    <?php
                                    $wh[''] = '';
                    foreach ($warehouses as $warehouse) {
                        $wh[$warehouse->id] = $warehouse->name;
                    }
                    echo form_dropdown('warehouse_id', $wh, (isset($_POST['warehouse']) ? $_POST['warehouse'] : $Settings->default_warehouse), 'id="powarehouse" class="form-control input-tip select" data-placeholder="' . lang('select') . ' ' . lang('warehouse') . '" required="required" style="width:100%;" '); ?>
                                </div>
                            </div>

        </div>
        <div class="modal-footer">
            <?php echo form_submit('add', lang('add'), 'class="btn btn-primary"'); ?>
        </div>
    </div>
    <?php echo form_close(); ?>
</div>
<script type="text/javascript" src="<?= $assets ?>js/custom.js"></script>
<?= $modal_js ?>
<script>
    $(document).ready(function() {
        $('.gen_slug').change(function(e) {
            getSlug($(this).val(), 'brand');
        });
    });
</script>
