<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-2x">&times;</i>
            </button>
            <h4 class="modal-title" id="myModalLabel"><?php echo lang('add'); ?></h4>
        </div>
        <?php $attrib = ['data-toggle' => 'validator', 'role' => 'form'];
        echo admin_form_open_multipart('due_payment/add', $attrib); ?>
        <div class="modal-body">
            <p><?= lang('enter_info'); ?></p>
			<div class="col-md-4">
            <div class="form-group">
                <?= lang('date', 'date'); ?> (*)
                <?php echo form_input('date', (isset($_POST['date']) ? $_POST['date'] : ''), 'class="form-control input-tip datetime" id="podate" required="required"'); ?>
            </div>
            </div>
	
			<div class="form-group">
				<?= lang('customer_name', 'pocustomer'); ?> (*)
				<div class="input-group">
					<input type="hidden" name="customer" value="" id="pocustomer"
						   class="form-control" style="width:100%;"
						   placeholder="<?= lang('select') . ' ' . lang('customer') ?>">
					<input type="hidden" name="customer_id" value="" id="customer_id"
						   class="form-control">

						<div class="input-group-addon no-print hide" style="padding: 2px 5px; border-left: 0;;visibility:hidden">
							<a href="#" id="view-supplier" class="external" data-toggle="modal" data-target="#myModal">
								<i class="fa fa-2x fa-user" id="addIcon"></i>
							</a>
						</div>

					<div class="input-group-addon no-print" style="padding: 2px 5px;visibility:hidden">
						<a href="<?= admin_url('suppliers/add'); ?>" id="add-supplier" class="external" data-toggle="modal" data-target="#myModal">
							<i class="fa fa-2x fa-plus-circle" id="addIcon"></i>
						</a>
					</div>

				</div>
			</div>
			
                                 
                         
			<div class="col-md-4">
			<div class="form-group">
				<?= lang('payment_method', 'paid_by_1'); ?>
				<select name="paid_by" id="paid_by_1" class="form-control paid_by" required="required">
					<?= $this->sma->paid_opts(); ?>
				</select>
			</div>
			</div>
			
			
			<div class="clearfix"></div>
			
			<div class="form-group gc" style="display: none;">
				<?= lang('gift_card_no', 'gift_card_no'); ?>
				<input name="gift_card_no" type="text" id="gift_card_no" class="pa form-control kb-pad"/>

				<div id="gc_details"></div>
			</div>
			
			<div class="pcc_1" style="display:none;">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<input name="pcc_no" type="text" id="pcc_no_1" class="form-control"
								   placeholder="<?= lang('cc_no') ?>"/>
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">

							<input name="pcc_holder" type="text" id="pcc_holder_1" class="form-control"
								   placeholder="<?= lang('cc_holder') ?>"/>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<select name="pcc_type" id="pcc_type_1" class="form-control pcc_type"
									placeholder="<?= lang('card_type') ?>">
								<option value="Visa"><?= lang('Visa'); ?></option>
								<option value="MasterCard"><?= lang('MasterCard'); ?></option>
								<option value="Amex"><?= lang('Amex'); ?></option>
								<option value="Discover"><?= lang('Discover'); ?></option>
							</select>
							<!-- <input type="text" id="pcc_type_1" class="form-control" placeholder="<?= lang('card_type') ?>" />-->
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<input name="pcc_month" type="text" id="pcc_month_1" class="form-control"
								   placeholder="<?= lang('month') ?>"/>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">

							<input name="pcc_year" type="text" id="pcc_year_1" class="form-control"
								   placeholder="<?= lang('year') ?>"/>
						</div>
					</div>
					<!--<div class="col-md-3">
						<div class="form-group">
							<input name="pcc_ccv" type="text" id="pcc_cvv2_1" class="form-control" placeholder="<?= lang('cvv2') ?>" />
						</div>
					</div>-->
				</div>
			</div>

			<div class="pbank_1 col-md-7" style="display:none;">
				<div class="form-group">
					<label><strong><?=lang('bank_name');?></strong> </label>
				   
					<?php
						foreach ($banks as $bank) {
							$btest           = ($bank->name && $bank->name != '-' ? $bank->name : $bank->name);
							$arrBnk[$bank->id] = $btest;
						   
						}
					//echo "<pre>"; print_r($banks); echo "</pre>";
					echo form_dropdown('bank_id', $arrBnk, ($_POST['bank'] ?? ''), 'class="form-control" id="bank_id" required="required"'); ?>
				</div>
			</div>

			<div class="pcheque_1 col-md-5" style="display:none;">
				<div class="form-group"><?= lang('cheque_no', 'cheque_no_1'); ?>
					<input name="cheque_no" type="text" id="cheque_no_1" class="form-control cheque_no"/>
				</div>
			</div>
						
						
                          
			<div class="form-group all">
			<?= lang('note', 'note'); ?>
                  <?php echo form_input('note', (isset($_POST['note']) ? $_POST['note'] : $note), 'class="form-control input-tip" id="note"'); ?>
			</div>
            <div class="form-group all">
                  <?= lang('amount', 'amount'); ?>
                  <?php echo form_input('amount', (isset($_POST['amount']) ? $_POST['amount'] : $amount), 'class="form-control input-tip" id="amount"'); ?>
                            
            </div>
			
			<div hidden class="col-md-4">
				<div class="form-group">
					<?= lang('warehouse', 'powarehouse'); ?>
					<?php
					$wh[''] = '';
					foreach ($warehouses as $warehouse) {
						$wh[$warehouse->id] = $warehouse->name;
					}
					echo form_dropdown('warehouse', $wh, (isset($_POST['warehouse']) ? $_POST['warehouse'] : $Settings->default_warehouse), 'id="powarehouse" class="form-control input-tip select" data-placeholder="' . lang('select') . ' ' . lang('warehouse') . '" required="required" style="width:100%;" '); ?>
				</div>
			</div>
        </div>
        <div class="modal-footer">
            <?php echo form_submit('add', lang('add'), 'class="btn btn-primary"'); ?>
        </div>
    </div>
    <?php echo form_close(); ?>
</div>
<script type="text/javascript" src="<?= $assets ?>js/custom.js"></script>

<script>
    $(document).ready(function(){
		
		$('#pocustomer').change(function(e){
        localStorage.setItem('pocustomer', $(this).val());
        $('#employee_id').val($(this).val());
    });
    if ((pocustomer = localStorage.getItem('pocustomer'))) {
        $('#pocustomer').val(pocustomer).select2({
            minimumInputLength: 1,
            data: [],
            initSelection: function(element, callback) {
                $.ajax({
                    type: 'get',
                    async: false,
                    url: site.base_url + 'due_payment/getSupplier/' + $(element).val(),
                    dataType: 'json',
                    success: function(data) {
                        callback(data[0]);
                    },
                });
            },
            ajax: {
                url: site.base_url + 'due_payment/suggestions',
                dataType: 'json',
                quietMillis: 15,
                data: function(term, page) {
                    return {
                        term: term,
                        limit: 10,
                    };
                },
                results: function(data, page) {
                    if (data.results != null) {
                        return { results: data.results };
                    } else {
                        return { results: [{ id: '', text: 'No Match Found' }] };
                    }
                },
            },
        });
    } else {
        nsSupplier();
		
    }
	
    });
	
	// hellper function for supplier if no localStorage value
function nsSupplier() {
    $('#pocustomer').select2({
        minimumInputLength: 1,
        ajax: {
            url: site.base_url + 'due_payment/suggestions',
            dataType: 'json',
            quietMillis: 15,
            data: function(term, page) {
                return {
                    term: term,
                    limit: 10,
                };
            },
            results: function(data, page) {
                if (data.results != null) {
                    return { results: data.results };
                } else {
                    return { results: [{ id: '', text: 'No Match Found' }] };
                }
            },
        },
    });
}
</script>


<script type="text/javascript" charset="UTF-8">
    $(document).ready(function () {
    
        $(document).on('change', '.paid_by', function () {
            var p_val = $(this).val();
            $('#rpaidby').val(p_val);
            if (p_val == 'cash') {
                $('.pbank_1').hide();
                $('.pcheque_1').hide();
                $('.pcc_1').hide();
                $('.pcash_1').show();
                $('#amount_1').focus();
            } else if (p_val == 'CC') {
                $('.pbank_1').hide();
                $('.pcheque_1').hide();
                $('.pcash_1').hide();
                $('.pcc_1').show();
                $('#pcc_no_1').focus();
            } else if (p_val == 'Cheque') {
                $('.pcc_1').hide();
                $('.pcash_1').hide();
                $('.pbank_1').show();
                $('.pcheque_1').show();
                $('#cheque_no_1').focus();
            } else {
                $('.pbank_1').hide();
                $('.pcheque_1').hide();
                $('.pcc_1').hide();
                $('.pcash_1').hide();
            }
            if (p_val == 'gift_card') {
                $('.gc').show();
                $('#gift_card_no').focus();
            } else {
                $('.gc').hide();
            }
        });
        $('#pcc_no_1').change(function (e) {
            var pcc_no = $(this).val();
            localStorage.setItem('pcc_no_1', pcc_no);
            var CardType = null;
            var ccn1 = pcc_no.charAt(0);
            if (ccn1 == 4)
                CardType = 'Visa';
            else if (ccn1 == 5)
                CardType = 'MasterCard';
            else if (ccn1 == 3)
                CardType = 'Amex';
            else if (ccn1 == 6)
                CardType = 'Discover';
            else
                CardType = 'Visa';

            $('#pcc_type_1').select2("val", CardType);
        });
   
    });
</script>

<?= $modal_js ?>



