<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-2x">&times;</i>
            </button>
            <h4 class="modal-title" id="myModalLabel"><?php echo lang('add_employee'); ?></h4>
        </div>
        <?php $attrib = ['data-toggle' => 'validator', 'role' => 'form'];
        echo admin_form_open_multipart('employees/add_employee', $attrib); ?>
        <div class="modal-body">
            <p><?= lang('enter_info'); ?></p>       
            <div class="form-group">
            <label class="control-label" for="employee_group"><?php echo $this->lang->line('company'); ?></label>
                <?php
                 $warehouses   = $this->site->getWarehouses();                       
                foreach ($warehouses as $warehouse) {
                    $cgs[$warehouse->id] = $warehouse->name;
                }
                echo form_dropdown('warehouse_id', $cgs, $Settings->warehouses, 'class="form-control select" id="warehouse_id" style="width:100%;" required="required"');
                ?>
            </div>

            <div class="form-group">
                <?= lang('name', 'name'); ?>
                <?= form_input('name', '', 'class="form-control gen_slug" id="name" required="required"'); ?>
            </div>

            <div class="form-group all">
                <?= lang('phone', 'phone'); ?>
                <?= form_input('phone', '', 'class="form-control tip" id="phone" required="required"'); ?>
            </div>

            <div class="form-group all">
                <?= lang('address', 'address'); ?>
                <?= form_input('address', set_value('address'), 'class="form-control tip" id="address" required="required"'); ?>
            </div>

            <div class="form-group">
                <?= lang('image', 'image') ?>
                <input id="image" type="file" data-browse-label="<?= lang('browse'); ?>" name="userfile" data-show-upload="false" data-show-preview="false" class="form-control file">
            </div>

        </div>
        <div class="modal-footer">
            <?php echo form_submit('add_employee', lang('add_employee'), 'class="btn btn-primary"'); ?>
        </div>
    </div>
    <?php echo form_close(); ?>
</div>
<script type="text/javascript" src="<?= $assets ?>js/custom.js"></script>
<?= $modal_js ?>

