<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-2x">&times;</i>
            </button>
            <h4 class="modal-title" id="myModalLabel"><?php echo lang('add'); ?></h4>
        </div>
        <?php $attrib = ['data-toggle' => 'validator', 'role' => 'form'];
        echo admin_form_open_multipart('myexpenses/add', $attrib); ?>
        <div class="modal-body">
            <p><?= lang('enter_info'); ?></p>

            <div class="form-group">
                <?= lang('date', 'date'); ?>
                <?php echo form_input('date', (isset($_POST['date']) ? $_POST['date'] : ''), 'class="form-control input-tip datetime" id="podate" autocomplete="off" required="required"'); ?>
            </div>
			
			<div class="form-group">
			<?= lang('reference', 'reference'); ?>
                <?php echo form_input('reference', (isset($_POST['reference']) ? $_POST['reference'] : $reference), 'class="form-control input-tip" id="reference"'); ?>
			</div>
			
			
			<div class="form-group">
			<?= lang('note', 'note'); ?>
            <?php echo form_input('note', (isset($_POST['note']) ? $_POST['note'] : $note), 'class="form-control input-tip" id="note"'); ?>
			</div>

            <div class="form-group">
                  <?= lang('amount', 'amount'); ?>
                  <?php echo form_input('amount', (isset($_POST['amount']) ? $_POST['amount'] : $amount), 'class="form-control input-tip" id="amount"'); ?>
                            
            </div>
			
			 <?php if ($Owner || $Admin) { ?>
				<div class="form-group">
					<?= lang('Approved/Denied', 'Approved/Denied'); ?>
					<?php
					$wh['Pending'] = 'Pending';
					$wh['Approved'] = 'Approved';
					$wh['Denied'] = 'Denied';
				
				echo form_dropdown('status', $wh, (isset($_POST['status']) ? $_POST['status'] : 'pending'), 'id="status" class="form-control input-tip select" data-placeholder="' . lang('select') . ' ' . lang('') . '" required="required" style="width:100%;" '); ?>
				</div>
				
			 <?php }else{ ?>
					<div hidden class="form-group">
						  <?= lang('Approved/Denied', 'Approved/Denied'); ?>
						  <?php echo form_input('status', 'Pending', 'class="form-control input-tip" id="status"'); ?>
									
					</div>
			 <?php } ?>
		
			
			
			<div hidden class="col-md-4">
				<div class="form-group">
					<?= lang('warehouse', 'powarehouse'); ?>
					<?php
					$wh[''] = '';
				foreach ($warehouses as $warehouse) {
					$wh[$warehouse->id] = $warehouse->name;
				}
				echo form_dropdown('warehouse_id', $wh, (isset($_POST['warehouse']) ? $_POST['warehouse'] : $Settings->default_warehouse), 'id="powarehouse" class="form-control input-tip select" data-placeholder="' . lang('select') . ' ' . lang('warehouse') . '" required="required" style="width:100%;" '); ?>
				</div>
			</div>

        </div>
        <div class="modal-footer">
            <?php echo form_submit('add', lang('add'), 'class="btn btn-primary"'); ?>
        </div>
    </div>
    <?php echo form_close(); ?>
</div>
<script type="text/javascript" src="<?= $assets ?>js/custom.js"></script>
<?= $modal_js ?>

